Loading...
Searching...
No Matches
XrdCms::PingClock Class Reference
Inheritance diagram for XrdCms::PingClock:
Collaboration diagram for XrdCms::PingClock:

## Public Member Functions

| PingClock ()
| ~PingClock ()
void | DoIt ()

## Static Public Member Functions

static void | Start ()

## Detailed Description

Definition at line 168 of file XrdCmsConfig.cc.

## Constructor & Destructor Documentation

## PingClock()

XrdCms::PingClock::PingClock | ( |  | ) |

inline

Definition at line 178 of file XrdCmsConfig.cc.

: XrdJob(".ping clock") {DoIt();}
XrdCms::PingClock::DoIt
void DoIt()
Definition XrdCmsConfig.cc:172
XrdJob::XrdJob
XrdJob(const char *desc="")
Definition XrdJob.hh:51

References XrdJob::XrdJob(), and DoIt().

Referenced by Start().

Here is the call graph for this function:
Here is the caller graph for this function:

## ~PingClock()

XrdCms::PingClock::~PingClock | ( |  | ) |

inline

Definition at line 179 of file XrdCmsConfig.cc.

{}

## Member Function Documentation

## DoIt()

void XrdCms::PingClock::DoIt | ( |  | ) |

inline virtual

Implements XrdJob.

Definition at line 172 of file XrdCmsConfig.cc.

{Config.PingTick++;
Sched->Schedule((XrdJob *)this,time(0)+Config.AskPing);
}
XrdCmsConfig::AskPing
int AskPing
Definition XrdCmsConfig.hh:93
XrdCmsConfig::PingTick
int PingTick
Definition XrdCmsConfig.hh:94
XrdScheduler::Schedule
void Schedule(XrdJob *jp)
Definition XrdScheduler.cc:373
XrdCms::Sched
XrdScheduler * Sched
Definition XrdCmsConfig.cc:114
XrdCms::Config
XrdCmsConfig Config
Definition XrdCmsConfig.cc:108

References XrdJob::XrdJob(), XrdCms::Config, and XrdCms::Sched.

Referenced by PingClock().

Here is the call graph for this function:
Here is the caller graph for this function:

## Start()

void XrdCms::PingClock::Start | ( |  | ) |

inline static

Definition at line 176 of file XrdCmsConfig.cc.

{static PingClock selfie;}
XrdCms::PingClock::PingClock
PingClock()
Definition XrdCmsConfig.cc:178

References PingClock().

Referenced by XrdCmsConfig::DoIt().

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdCmsConfig.cc